Get Address Counterparties
curl --request GET \
--url https://api.range.org/v1/address/connections \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.range.org/v1/address/connections"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.range.org/v1/address/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "<string>",
"network": "<string>",
"name": "<string>",
"type": "<string>",
"malicous": true,
"tags": {},
"is_validator": true,
"total_payments": 123,
"payment_counts": [
{}
],
"earliest_payment": "<string>",
"latest_payment": "<string>",
"last_transaction": {
"time": "<string>",
"amount": "<string>",
"denom": "<string>"
},
"is_sender": true,
"is_receiver": true
}Addresses & Entities
Get Address Counterparties
Returns a list of addresses that the specified address has interacted with.
GET
/
v1
/
address
/
connections
Get Address Counterparties
Authorizations
Authorization method required to allow user to access the api endpoints.
Query Parameters
Network of Address
Address to search
"address" mode or "entity" mode
Start time
End time
Response
200 - application/json
List of addresses that the specified address has interacted with.
Show child attributes
Show child attributes
Last modified on September 3, 2026
Was this page helpful?